OpenapiO11y
Records the deployment's profile in Zeus — how the team uses observability…
Records the deployment's profile in Zeus — how the team uses observability today and what they plan — overwriting any prior one.
PUT /v1/o11y/zeus/profiles
| Address | https://api.hanzo.ai/v1/o11y/zeus/profiles |
| Method | PUT |
| Operation | PutProfile |
| Auth | Authorization: Bearer $HANZO_API_KEY |
Records the deployment's profile in Zeus — how the team uses observability today and what they plan — overwriting any prior one. Admin gate.
Request
9 fields, body application/json (required).
| Field | In | Type | Required | Description |
|---|---|---|---|---|
existing_observability_tool | body | string | — | |
has_existing_observability_tool | body | boolean | — | |
logs_scale_per_day_in_gb | body | integer | — | |
number_of_hosts | body | integer | — | |
number_of_services | body | integer | — | |
reasons_for_interest_in_o11y | body | string[] | — | |
timeline_for_migrating_to_o11y | body | string | — | |
uses_otel | body | boolean | — | |
where_did_you_discover_o11y | body | string | — |
Response
| Status | Body | Meaning |
|---|---|---|
204 | — | no content |
Failure carries the platform error shape — see Errors.
Examples
hanzo o11y zeus profilesimport { Configuration, O11yApi } from 'hanzoai';
const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.putProfile({ existing_observability_tool: "<existing_observability_tool>", has_existing_observability_tool: false });from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi
client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).put_profile(existing_observability_tool="<existing_observability_tool>", has_existing_observability_tool=False)cfg := cloud.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := cloud.NewAPIClient(cfg)
resp, _, err := client.O11yAPI.PutProfile(context.Background()).Execute()
if err != nil {
return err
}use hanzo_cloud::apis::{configuration::Configuration, o11y_api};
let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();
let result = o11y_api::put_profile(&cfg, Default::default()).await?;import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;
ApiClient client = new ApiClient();
client.setRequestInterceptor(b -> b.header("Authorization", "Bearer " + System.getenv("HANZO_API_KEY")));
var result = new O11yApi(client).putProfile();curl -X PUT https://api.hanzo.ai/v1/o11y/zeus/profiles \
-H "Authorization: Bearer $HANZO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"existing_observability_tool": "<existing_observability_tool>",
"has_existing_observability_tool": false
}'Tool o11y, op PutProfile — POST the JSON-RPC envelope to https://api.hanzo.ai/v1/mcp.
curl -X POST https://api.hanzo.ai/v1/mcp \
-H "Authorization: Bearer $HANZO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "o11y",
"arguments": {
"op": "PutProfile",
"input": {
"existing_observability_tool": "<existing_observability_tool>",
"has_existing_observability_tool": false
}
}
}
}'How is this guide?